package com.realnet.basicp1.Services;
import java.util.*;
import com.realnet.basicp1.Repository.FormaRepository;
import com.realnet.basicp1.Entity.Forma;

import com.realnet.basicp1.Entity.Forma_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Forma_ListFilter1Service {
@Autowired
private FormaRepository Repository;




 public   List<Forma_ListFilter1>   getlistbuilder() {
	List<Forma> list= Repository.findAll();
		ArrayList<Forma_ListFilter1> l = new ArrayList<>();
		for (Forma data : list) {
{	
Forma_ListFilter1 dummy = new Forma_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Forma_ListFilter1>   getlistbuilderparam( ) {
	List<Forma> list= Repository.findAll();
		ArrayList<Forma_ListFilter1> l = new ArrayList<>();
		for (Forma data : list) {
{	
Forma_ListFilter1 dummy = new Forma_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
} 
} 		
return l;}
}